package jacorb.orb.domain.test;
/**
 * Prints out the jacorb domain properties.
 * @author Herbert Kiefer
 * @version $Revision: 1.6 $
 */

public class EnvironmentTester  {
  
  public static void main( String[] args )
  {
   
   System.out.println("\t Property \t\t Value");
   System.out.println("\t ======== \t\t =====");


   System.out.println("domain service URL \t\t" 
		      + jacorb.util.Environment.DomainServiceURL() );
   System.out.print("use domain \t\t\t");

   if ( jacorb.util.Environment.useDomain() ) System.out.println("on");
   else System.out.println("off");

   System.out.print("ds knows about orb domains\t");
    if ( jacorb.util.Environment.mountORBDomain() ) 
      System.out.println("on");
   else System.out.println("off");
		   

  System.out.println("orb domain filename \t\t" 
		      + jacorb.util.Environment.ORBDomainFilename() );
  System.out.println("default domains \t\t" 
		      + jacorb.util.Environment.DefaultDomains() );

  System.out.println("cache entry lifetime \t\t" 
		      + jacorb.util.Environment.LifetimeOfCacheEntry() );

  }


  
} // EnvironmentTester
